## cascading.flow.hadoop.util
Class JavaObjectSerializer

    java.lang.Object
      cascading.flow.hadoop.util.JavaObjectSerializer

All Implemented Interfaces:
  ObjectSerializer

    public class JavaObjectSerializer

extends Object
implements ObjectSerializer

Class JavaObjectSerializer is the default implementation of `ObjectSerializer`.

Field Summary

Fields inherited from interface cascading.flow.hadoop.util.ObjectSerializer
`OBJECT_SERIALIZER_PROPERTY`

Constructor Summary
`JavaObjectSerializer()`

Method Summary

`

`<T> boolean`

`

`accepts(Class<T> type)`

`

`<T> T`

`

`deserialize(byte[] bytes, Class<T> type, boolean decompress)`

`

`<T> List<T>`

`

`deserializeList(byte[] bytes, boolean decompress)`

`

`<T> Map<String,T>`

`

`deserializeMap(byte[] bytes, boolean decompress)`

`

`<T> byte[]`

`

`serialize(T object, boolean compress)`

`

`<T> byte[]`

`

`serializeList(List<T> list, boolean compress)`

`

`<T> byte[]`

`

`serializeMap(Map<String,T> map, boolean compress)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaObjectSerializer

    public JavaObjectSerializer()

Method Detail

### serialize

    public <T> byte[] serialize(T object,
                                boolean compress)
                     throws IOException

  Specified by:
    `serialize` in interface `ObjectSerializer`
  Throws:
    `IOException`

### deserialize

    public <T> T deserialize(byte[] bytes,
                             Class<T> type,
                             boolean decompress)
                  throws IOException

  Specified by:
    `deserialize` in interface `ObjectSerializer`
  Throws:
    `IOException`

### accepts

    public <T> boolean accepts(Class<T> type)

  Specified by:
    `accepts` in interface `ObjectSerializer`

### serializeMap

    public <T> byte[] serializeMap(Map<String,T> map,
                                   boolean compress)
                        throws IOException

  Throws:
    `IOException`

### deserializeMap

    public <T> Map<String,T> deserializeMap(byte[] bytes,
                                            boolean decompress)
                                 throws IOException

  Throws:
    `IOException`

### serializeList

    public <T> byte[] serializeList(List<T> list,
                                    boolean compress)
                         throws IOException

  Throws:
    `IOException`

### deserializeList

    public <T> List<T> deserializeList(byte[] bytes,
                                       boolean decompress)
                            throws IOException

  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.